# k8安装Doris集群

## helm 安装oprator
```shell
## 添加仓库
helm repo add selectdb https://charts.selectdb.com
helm repo update selectdb
helm search repo selectdb
## 安装
helm install operator selectdb/doris-operator -n <namespace>
```

## 安装be和fe集群

```shell

# 先安装fe
kubectl apply -f fe-deploy.yaml -n <namespace>

# 然后安装be
kubectl apply -f be-deploy.yaml -n <namespace>

```

## 需要注意的点
如果是第一次安装请把be的PASSWD配置去掉，因为doris默认没有密码。进入doris-fe设置好密码之后
```shell
## 进入fe设置密码
mysql -P9030 -h127.0.0.1 -uroot

set PASSWORD for 'root'=PASSWORD('you-password')
```

然后将be-deploy.yaml的密码配上
```yaml
- name: PASSWD
  value: iEEmoo168!
```

重新apply be
```shell
kubectl apply -f be-deploy.yaml -n <namespace>
```